<template>
  <div class="flex gap-4 items-center">
    <img
      :alt="integration.name"
      :src="integration.settings.orgAvatar ?? integration.image"
      class="w-8 h-8 rounded-md"
    />
    <div v-if="integration.settings.login">
      {{ integration.settings.login }}
    </div>
    <div v-else>
      Installation ID: {{ integration.integrationIdentifier }}
    </div>
  </div>
</template>
<script setup>

defineProps({
  integration: {
    type: Object,
    default: () => {
    },
  },
});

</script>

<script>
export default {
  name: 'AppGithubTitle',
};
</script>

<style scoped lang="scss">

</style>
